## org.apache.myfaces.custom.navmenu.jscookmenu
Class HtmlCommandJSCookMenu

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.apache.myfaces.custom.navmenu.jscookmenu.HtmlCommandJSCookMenu

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.StateHolder, UserRoleAware

public class HtmlCommandJSCookMenu
extends javax.faces.component.UICommand
implements UserRoleAware

Version:
  $Revision: 179498 $ $Date: 2005-06-01 23:37:44 -0400 (Wed, 01 Jun 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: svieujot $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Constructor Summary
`HtmlCommandJSCookMenu()`

Method Summary
`java.lang.String` `getEnabledOnUserRole()`
`java.lang.String` `getFamily()`
`java.lang.String` `getLayout()`
`java.lang.String` `getTheme()`
`java.lang.String` `getVisibleOnUserRole()`
`boolean` `isImmediate()`
`boolean` `isRendered()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setLayout(java.lang.String layout)`
`void` `setTheme(java.lang.String theme)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionListener, getActionListeners, getValue, queueEvent, removeActionListener, setAction, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlCommandJSCookMenu

    public HtmlCommandJSCookMenu()

Method Detail

### getFamily

    public java.lang.String getFamily()

### isImmediate

    public boolean isImmediate()

  Specified by:
    `isImmediate` in interface `javax.faces.component.ActionSource`

### setLayout

    public void setLayout(java.lang.String layout)

### getLayout

    public java.lang.String getLayout()

### setTheme

    public void setTheme(java.lang.String theme)

### getTheme

    public java.lang.String getTheme()

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

  Specified by:
    `setEnabledOnUserRole` in interface `UserRoleAware`

### getEnabledOnUserRole

    public java.lang.String getEnabledOnUserRole()

  Specified by:
    `getEnabledOnUserRole` in interface `UserRoleAware`

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

  Specified by:
    `setVisibleOnUserRole` in interface `UserRoleAware`

### getVisibleOnUserRole

    public java.lang.String getVisibleOnUserRole()

  Specified by:
    `getVisibleOnUserRole` in interface `UserRoleAware`

### isRendered

    public boolean isRendered()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`